function tref = defaultTref
%
% Return the typical running time of each task
% This must be customized for each specific computer
% The structure here is the same as output returned by calling
% SPCALIB('auto')
%
% Do not change here
% Reference factory, obtained from 2007 Sony laptop 
%  tref = struct( ...
%      'factory', true, ...
%      'tcreate', 7.8671e-00, ...
%      'tfind', 5.088857e-008, ...
%      'treadlin', 1.1566e-007, ...
%      'tismember', 1.716785e-007, ...
%      'treadfor', 3.4761e-006, ...
%      'twritefor', 7.439304e-006, ...
%      'tadd', 1.0071e-007, ...
%      'tgetval', 1.2649e-008, ...
%      'tsetval', 1.1009e-008, ...
%      'tinsert', 6.796743e-005, ...
%      'tremove', 5.114582e-005);
% Create date: 13-Nov-2010 08:08:21

 tref = struct( ...
     'factory', false, ...
     'tcreate', 4.547731e-008, ...
     'tfind', 1.544312e-008, ...
     'treadlin', 3.357969e-007, ...
     'tismember', 1.883189e-006, ...
     'treadfor', 8.627154e-005, ...
     'twritefor', 1.771974e-006, ...
     'tadd', 5.896096e-008, ...
     'tgetval', 4.234776e-009, ...
     'tsetval', 3.520635e-009, ...
     'tinsert', 1.181292e-004, ...
     'tremove', 1.248208e-004);

end
