function tref = defaultTref
%
% Return the typical running time of each task
% This must be customized for each specific computer
% The structure here is the same as output returned by calling
% SPCALIB('auto')
%
% Do not change here
% Reference factory, obtained from 2007 Sony laptop 
%  tref = struct( ...
%      'factory', true, ...
%      'tcreate', 7.8671e-00, ...
%      'tfind', 5.088857e-008, ...
%      'treadlin', 1.1566e-007, ...
%      'tismember', 1.716785e-007, ...
%      'treadfor', 3.4761e-006, ...
%      'twritefor', 7.439304e-006, ...
%      'tadd', 1.0071e-007, ...
%      'tgetval', 1.2649e-008, ...
%      'tsetval', 1.1009e-008, ...
%      'tinsert', 6.796743e-005, ...
%      'tremove', 5.114582e-005);
% Create date: 10-Jan-2010 19:07:54

 tref = struct( ...
     'factory', false, ...
     'tcreate', 6.676980e-008, ...
     'tfind', 2.409293e-008, ...
     'treadlin', 2.971239e-007, ...
     'tismember', 3.214324e-006, ...
     'treadfor', 8.291756e-005, ...
     'twritefor', 2.512631e-006, ...
     'tadd', 8.164653e-008, ...
     'tgetval', 1.174934e-008, ...
     'tsetval', 9.135861e-009, ...
     'tinsert', 1.058211e-004, ...
     'tremove', 9.018119e-005);

end
